<template>
<div>
  <sticky className="sub-navbar">
    <div style="text-align:right;">
      <el-button type="success" :loading="onSubmit" @click="handleSave">保存</el-button>
      <el-button @click="handleCancel">取消</el-button>
    </div>
  </sticky>
  <div class="app-container app-edit">
    <el-form class="small-space" :model="form" :rules="rules" ref="form" label-position="right" label-width="120px" style="width: 700px;">

      <!-- 课程tag名称 -->
      <el-form-item label="标签名称" prop="name">
        <el-input v-model="form.name" placeholder="请输入标签名称"></el-input>
      </el-form-item>
      <el-form-item >
        <input id="hiddenText" type="text" style="display:none" />
      </el-form-item>
    </el-form>
  </div>
</div>
</template>

<script>
import Sticky from '@/components/Sticky'
import { find, save } from '@/api//venue/lesson/tag/config'

export default {
  components: { Sticky },
  data() {
    return {
      form: {
        id: undefined,
        name: ''
      },

      onSubmit: false,

      // 表单验证规则
      rules: {
        name: [
         { required: true, message: '请输入标签名称', trigger: 'blur' },
         { max: 3, message: '标签名称长度不能超过3个字符', trigger: 'blur' }
        ]
//        username: [
//          { required: true, message: '请输入姓名', trigger: 'blur' },
//          { max: 15, message: '姓名长度不能超过15个字符', trigger: 'blur' }
//        ],
//        email: [
//          { required: true, message: '请输入邮箱', trigger: 'blur' },
//          { type: 'email', message: '您输入的邮箱格式不正确', trigger: 'blur' }
//        ],
//        password: [
//          { required: true, message: '请输入密码', trigger: 'blur' },
//          { min: 6, message: '密码长度不能少于6个字符', trigger: 'blur' }
//        ]
      }
    }
  },
  created() {
    if (this.$route.query.id) {
      this.form.id = this.$route.query.id
      this.findById(this.form.id)
    }
  },
  methods: {
    /**
     * 查询课程tag
     */
    findById(id) {
      find(id).then(response => {
        this.form.name = response.venueLessonTagConfig.name
      })
    },

    /**
     * 保存课程tag
     */
    handleSave() {
      this.$refs.form.validate(valid => {
        if (!valid) {
          return false
        }
        if (this.form.name.match(/^\s+$/)) {
          this.form.name = ''
          this.$message({
            message: '禁止输入全空格',
            type: 'warning'
          })
          return
        }

        this.onSubmit = true
        save(this.form).then(response => {
          this.$router.go(-1)
        }).finally(() => {
          this.onSubmit = false
        })
      })
    },

    /**
     * 取消
     */
    handleCancel() {
      this.$router.go(-1)
    }
  }
}
</script>
